<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@drawable/top_round_corner"
    android:scrollbars="none"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="15dp"
        android:orientation="vertical"
        android:gravity="center_horizontal">

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/black"
            android:layout_marginHorizontal="100dp"/>

        <ImageView
            android:id="@+id/image"
            android:layout_width="match_parent"
            android:layout_height="@dimen/_180sdp"
            android:contentDescription="@string/illustration"
            android:layout_marginVertical="25dp"
            android:scaleType="fitCenter"
            />

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            tools:text="Raj Shinde has gone out of the geofence"
            android:fontFamily="@font/nunito_bold"
            android:textColor="@color/black"
            android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
            android:textAlignment="center"

            android:maxLines="3"
            android:layout_marginHorizontal="10dp"

            />

        <com.google.android.material.card.MaterialCardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardBackgroundColor="#F4F9FF"
            app:strokeColor="#C9E0FB"
            app:strokeWidth="1dp"
            app:cardCornerRadius="5dp"
            android:layout_marginTop="15dp"
            >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:gravity="center"
                android:layout_margin="15dp">

                <TextView
                    android:id="@+id/description_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    tools:text="His current location"
                    android:fontFamily="@font/nunito_medium"
                    android:textColor="@color/black"
                    android:textSize="@dimen/_14ssp"
                    android:textAlignment="center"

                    android:maxLines="3"
                    />

                <TextView
                    android:id="@+id/description"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    tools:text="Continental Divide, Estes Park"
                    android:fontFamily="@font/nunito_regular"
                    android:textColor="@color/black"
                    android:textSize="@dimen/_12ssp"
                    android:textAlignment="center"
                    android:layout_marginTop="5dp"
                    />

            </LinearLayout>

        </com.google.android.material.card.MaterialCardView>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/linearLayout3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:weightSum="2">

            <Button
                android:id="@+id/btn"
                android:layout_width="0dp"
                android:layout_height="wrap_content"

                android:ellipsize="end"

                android:fontFamily="@font/nunito_regular"
                android:maxLines="1"

                android:paddingVertical="10dp"
                android:textAllCaps="false"

                android:textColor="@color/white"
                android:textSize="@dimen/_16ssp"
                app:cornerRadius="5dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/close"
                app:layout_constraintStart_toStartOf="parent"
                tools:text="Text senior" />

            <Button
                android:id="@+id/close"
                android:layout_width="0dp"
                android:layout_height="wrap_content"

                android:fontFamily="@font/nunito_regular"
                android:paddingVertical="10dp"
                android:text="@string/close_"
                android:textAllCaps="false"
                android:textColor="@color/black"

                android:textSize="@dimen/_16ssp"
                app:backgroundTint="@color/white"

                app:cornerRadius="5dp"

                android:layout_marginStart="5dp"

                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"

                app:layout_constraintStart_toEndOf="@+id/btn"
                app:strokeColor="@color/color_accent"
                app:strokeWidth="1dp" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </LinearLayout>

</ScrollView>